--- a/lfd_encrypt.c	2008-01-07 23:35:32.000000000 +0100
+++ b/lfd_encrypt.c	2010-09-18 04:53:31.000000000 +0200
@@ -44,6 +44,7 @@
 #include <strings.h>
 #include <string.h>
 #include <time.h>
+#include <arpa/inet.h> /* htonl() */
 
 #include "vtun.h"
 #include "linkfd.h"
--- a/lib.c	2008-01-07 23:35:40.000000000 +0100
+++ b/lib.c	2010-09-18 04:52:51.000000000 +0200
@@ -34,6 +34,7 @@
 #include <sys/wait.h>
 #include <syslog.h>
 #include <errno.h>
+#include <time.h> /* nanosleep() */
 
 #include "vtun.h"
 #include "linkfd.h"
--- a/lib.h	2008-01-07 23:35:41.000000000 +0100
+++ b/lib.h	2010-09-18 04:56:50.000000000 +0200
@@ -26,6 +26,7 @@
 #include <sys/types.h>
 #include <signal.h>
 #include <errno.h>
+#include <unistd.h> /* read(), write() */
 
 #ifdef HAVE_LIBUTIL_H
 #include <libutil.h>
--- a/vtun.h	2008-01-07 23:36:07.000000000 +0100
+++ b/vtun.h	2010-09-18 04:56:08.000000000 +0200
@@ -232,5 +232,9 @@
 int  read_config(char *file);
 struct vtun_host * find_host(char *host);
 inline void clear_nat_hack_flags(int svr);
+int send_msg(int len, char *in, char **out);
+int send_ib_mesg(int *len, char **in);
+int recv_msg(int len, char *in, char **out);
+int recv_ib_mesg(int *len, char **in);
 
 #endif
--- a/lock.c	2008-01-07 23:35:50.000000000 +0100
+++ b/lock.c	2010-09-18 05:01:21.000000000 +0200
@@ -32,6 +32,7 @@
 #include <sys/types.h>
 #include <signal.h>
 #include <errno.h>
+#include <time.h> /* nanosleep() */
 
 #include "vtun.h"
 #include "linkfd.h"
--- a/lfd_shaper.c	2008-01-07 23:35:36.000000000 +0100
+++ b/lfd_shaper.c	2010-09-18 05:07:12.000000000 +0200
@@ -27,6 +27,7 @@
 #include <stdlib.h>
 #include <sys/time.h>
 #include <syslog.h>
+#include <time.h> /* nanosleep() */
 
 #include "vtun.h"
 #include "linkfd.h"
